Bug 18209 - Patron's card manage.pl page is not fully translatable
Summary: Patron's card manage.pl page is not fully translatable
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Blou
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-03 21:24 UTC by Blou
Modified: 2017-05-03 03:58 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18209 - Patron's card manage.pl page is not fully translatable (2.09 KB, patch)
2017-03-03 21:26 UTC, Blou
Details | Diff | Splinter Review
Bug 18209 - Patron's card manage.pl page is not fully translatable (2.31 KB, patch)
2017-03-07 13:51 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18209 - Patron's card manage.pl page is not fully translatable (2.90 KB, patch)
2017-03-08 21:50 UTC, Blou
Details | Diff | Splinter Review
Bug 18209 - Patron's card manage.pl page is not fully translatable (2.97 KB, patch)
2017-03-09 09:38 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18209 - Patron's card manage.pl page is not fully translatable (3.05 KB, patch)
2017-03-09 14:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18209: Add default, 'Actions' and fix case (2.08 KB, patch)
2017-03-09 14:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Blou 2017-03-03 21:24:16 UTC
The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.
Comment 1 Blou 2017-03-03 21:26:20 UTC
Created attachment 60817 [details] [review]
Bug 18209 - Patron's card manage.pl page is not fully translatable

The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.
Comment 2 Marc Véron 2017-03-07 13:51:02 UTC
Created attachment 60873 [details] [review]
Bug 18209 - Patron's card manage.pl page is not fully translatable

The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.

Applied patch and verified that table headers on manage.pl display the same as before.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Jonathan Druart 2017-03-07 17:49:00 UTC
Philippe,
This is done differently in labels/label-manage.tt
We should stay consistent and use the same way to make these strings translatable in both template files.
Comment 4 Blou 2017-03-08 21:50:30 UTC
Created attachment 60935 [details] [review]
Bug 18209 - Patron's card manage.pl page is not fully translatable

The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.

Applied patch and verified that table headers on manage.pl display the same as before.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marc Véron 2017-03-09 09:38:11 UTC
Created attachment 60936 [details] [review]
Bug 18209 - Patron's card manage.pl page is not fully translatable

The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.

Applied patch and verified that table headers on manage.pl display the same as before.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 6 Jonathan Druart 2017-03-09 14:26:11 UTC
Created attachment 60953 [details] [review]
Bug 18209 - Patron's card manage.pl page is not fully translatable

The headers of the tables displayed in patroncards/manage.tt are hardcoded in the .pl and thus cannot be translated.

This simple fix reuse the translate_card_element tool already in the code to make the strings translatable.

Applied patch and verified that table headers on manage.pl display the same as before.
Signed-off-by: Marc Véron <veron@veron.ch>

Re-tested, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-03-09 14:26:15 UTC
Created attachment 60954 [details] [review]
Bug 18209: Add default, 'Actions' and fix case

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2017-03-31 14:10:33 UTC
Pushed to master for 17.05, thanks Phillipe, Jonathan!
Comment 9 Katrin Fischer 2017-04-02 17:31:43 UTC
These patches have been pushed to 16.11.x and will be in 16.11.07.
Comment 10 Julian Maurice 2017-04-21 10:21:37 UTC
Pushed to 3.22.x for 3.22.20
Comment 11 Mason James 2017-05-03 03:58:11 UTC
Pushed to 16.05.x, for 16.05.12 release